---
name: Mailchain Improvement Proposal
about: Create a Mailchain Improvement Proposal (MIP) to help us improve
title: 'MIP - '
labels: 'mip'
assignees: ''

---

## Simple Summary

“If you can’t explain it simply, you don’t understand it well enough.” Provide a simplified and layman-accessible explanation of the Mailchain Improvement Proposal.

## Abstract

Short (~200 word) description of the technical issue being addressed.

## Motivation (*optional)

The motivation is critical for MIPs that want to change the Mailchain protocol. It should clearly explain why the existing protocol specification is inadequate to address the problem that the MIP solves. MIP submissions without sufficient motivation may be rejected outright.

## Specification

Technical specification should describe the syntax and semantics of any new feature. The specification should be detailed enough to allow competing, interoperable implementations for any of the current Mailchain platforms.

## Rationale

Flesh out the specification by describing what motivated the design and why particular design decisions were made. It should describe alternate designs that were considered and related work, e.g. how the feature is supported in other languages. The rationale may also provide evidence of consensus within the community, and should discuss important objections or concerns raised during discussion.

## Backwards Compatibility

All MIPs that introduce backwards incompatibilities must include a section describing these incompatibilities and their severity. The MIP must explain how the author proposes to deal with these incompatibilities. MIP submissions without a sufficient backwards compatibility treatise may be rejected outright.

## Test Cases

Test cases for an implementation are mandatory for MIPs that are affecting specification changes. Other MIPs can choose to include links to test cases if applicable.

## Related MIP

Links to any related MIPs.
